@import url('https://fonts.googleapis.com/css2?family=Changa+One:ital@0;1&family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

body {
    font-family: "Montserrat";
    background: #272727;
    padding: 0 1rem;
}

.promo-ui{
    position: relative;
    max-width: 30rem;
    max-height: 40rem;
    margin: 3rem auto;
    border-radius: 14px;
    padding: 4em 2rem;
    background: #fff;
    display: flex;
    gap: 1.5rem;
    flex-direction: column;
    box-shadow: 0 4px 8px #ffffffe7;
}

.promo-ui h2{
    text-transform: uppercase;
    font-size: 4rem;
    text-align: center;
    font-family: "Changa One", sans-serif;
    font-weight: bold;
}

.promo-btn{
    background-color: #e4e4e4;
    border: none;
    padding: 1rem;
    font-weight: bold;
    font-size: medium;
    cursor: pointer;
    border-radius: 8px;
    transition: .3s all;
}

.promo-btn:hover{
    background-color: rgb(32, 32, 30);
    color: #fff;
}

.promo-card{
    width: 100%;
    height: 40rem;
    margin: 0 auto;
    border-radius: 8px;
    overflow: hidden;
    position: relative;

    
}

.promo-card img{
    width: 100%;
    object-fit: cover;
    filter: grayscale(1);
    transition: 0.3s all;
    scale: 1.1;
    z-index: 0;
}

.promo-card:hover img{
    scale: 1.2;
    filter: none;
    
}

.promo-card p{
    position: absolute;
    bottom: 0;
    left: 0;
    color: white;
    width: 100%;
    height: 4rem;
    text-align: center;
    padding: 1rem 0;
    z-index: 1;
    background: rgba(0, 0, 0, 0.5);
    backdrop-filter: blur(1px);   
    transition: height 0.2s linear;

}
.promo-card:hover p{
    height: 10rem;

}

.promo-loader {
    margin: 0 auto;
    width: 50px;
    height: 50px;
    border: 16px solid #1c1c1c;       
    border-top: 16px solid #e0e0e0;        
    border-radius: 50%;
    animation: spin 2s linear infinite;
}

.promo-pulse-loader{
    position: absolute;
    top: 1.5rem;
    right: 2rem;
    height: 1.5rem;
    width: 1.5rem;
    background-color: #ED2939;
    border-radius: 50%;
    animation: pulse 1s infinite ease-in-out;
}

@keyframes pulse {
  0% {
    transform: scale(0.8);
    opacity: 0;
  }
  50% {
    transform: scale(1.2);
    opacity: 1;
  }
  100% {
    transform: scale(0.8);
    opacity: 0;
  }
}

@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}

@media only screen and (max-width: 620px) {
    .promo-ui{
        min-width: 20rem;
    }

}